# Uses of Interface
org.springframework.web.servlet.function.ServerRequest.Headers

Packages that use ServerRequest.Headers
Package
Description
org.springframework.web.servlet.function
Provides the types that make up Spring's functional web framework for Servlet environments.

## Uses of ServerRequest.Headers in org.springframework.web.servlet.function

Methods in org.springframework.web.servlet.function that return ServerRequest.Headers
Modifier and Type
Method
Description
`ServerRequest.Headers`
ServerRequest.`headers()`
Get the headers of this request.
Method parameters in org.springframework.web.servlet.function with type arguments of type ServerRequest.Headers
Modifier and Type
Method
Description
`static RequestPredicate`
RequestPredicates.`headers(Predicate<ServerRequest.Headers> headersPredicate)`
Return a `RequestPredicate` that tests the request's headers against the given headers predicate.